.popup {
  align-items: center;
  display: flex;
  height: 100%;
  left: 0;
  justify-content: center;
  opacity: 0;
  overflow: auto;
  position: fixed;
  pointer-events: none;
  top: 0;
  transition: var(--transition);
  visibility: hidden;
  width: 100%;
  z-index: 1111;

  &.-open {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
  }

  > .background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
  }

  > .popup-wrapper {
    background-color: var(--white);
    max-height: 90vh;
    margin: 0 auto;
    position: relative;
    width: 90vw;
    max-width: 48rem;
    overflow-y: auto;

    @include media("sm") {
      width: 80vw;
    }

    @include media("md") {
      max-width: 96rem;
      width: 70vw;
    }
  }

  > .popup-wrapper.-no-description,
  > .popup-wrapper.-no-image {
    @include media("md") {
      max-width: 48rem;
    }
  }

  > .popup-wrapper .close {
    cursor: pointer;
    background-color: transparent;
    border: none;
    height: 3.6rem;
    padding: 0;
    position: absolute;
    top: 0;
    width: 3.6rem;
    right: 0;
    border-radius: 50%;
    z-index: 1;

    &::before {
      content: "";
      background-color: var(--gray-3);
      height: 3px;
      left: 50%;
      margin-left: -8px;
      position: absolute;
      top: 49%;
      transform: rotate(45deg);
      width: 16px;
    }

    &::after {
      content: "";
      background-color: var(--gray-3);
      height: 3px;
      left: 50%;
      margin-left: -8px;
      top: 49%;
      transform: rotate(-45deg);
      position: absolute;
      width: 16px;
    }
  }

  > .popup-wrapper .content {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
    width: 100%;

    @include media("md") {
      background-color: var(--gray-1);
      flex-direction: row;
    }
  }

  > .popup-wrapper .content .image {
    &::after {
      padding-bottom: 104.4%;
    }
  }

  > .popup-wrapper .content .image,
  > .popup-wrapper .content .text {
    width: 100%;

    @include media("md") {
      width: 50%;
    }
  }

  > .popup-wrapper .content.-no-image .text {
    width: 100%;
  }

  > .popup-wrapper .content.-no-description .image {
    width: 100%;
    margin-bottom: 0;
    margin-right: 0;
  }

  > .popup-wrapper .content .text {
    text-align: center;
    padding: 0 1.6rem 1.6rem;

    @include media("md") {
      padding: 3.2rem 2rem;
    }

    .text-wrapper {
      background-color: var(--gray-1);
      padding: 1.6rem;

      @include media("md") {
        background-color: transparent;
        padding: 0;
      }
    }

    //Estilo do conteúdo textual
    h2:not(.title),
    h3,
    h4 {
      font-size: var(--font-size-medium);
      font-family: var(--font-family-title);
      font-weight: var(--font-weight-title);
      margin-bottom: 1.4rem;
      color: var(--font-color-title);

      &:last-child {
        margin-bottom: 0;
      }
    }

    p,
    ul,
    ol {
      color: var(--gray-3);
      font-size: var(--font-size-small);
      font-weight: var(--font-weight-base);
      margin-bottom: 1.4rem;

      &:last-child {
        margin-bottom: 0;
      }
    }

    ul li,
    ol li {
      list-style-position: inside;
      list-style-type: disc;

      &:last-child {
        margin-bottom: 0;
      }
    }

    hr {
      border-color: var(--gray-2);
      margin: 1.4rem 0;
    }

    table {
      width: 100%;
      margin-bottom: 1rem;
      margin-left: auto;
      margin-right: auto;
      background-color: transparent;
      text-align: center;
      border-collapse: collapse;
      font-size: var(--font-size-small);
      color: var(--gray-3);
      max-width: 60rem;

      &:last-child {
        margin-bottom: 0;
      }
    }

    table td {
      padding: 1rem 0.5rem;
    }

    table thead th {
      padding: 1rem 0.5rem;
      font-weight: 700;
      color: var(--gray-4);

      &:first-of-type {
        text-align: left;
      }
    }

    table tbody {
      border-top: 1px solid var(--gray-2);

      tr:not(:first-child) {
        border-top: 1px solid var(--gray-2);
      }

      tr {
        td:first-child {
          text-align: left;
          font-weight: 700;
          color: var(--gray-4);
        }
      }
    }
  }

  > .popup-wrapper .content .table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
  }
}
